"use strict";
exports.__esModule = true;
var logger = require("./lib/logzio-nodejs");
var dummyHost = 'mocked-listener.logz.io';
var nockHttpAddress = "https://" + dummyHost + ":8071";
var dummyToken = '123456789';
var parseMessagesArray = ["log", "log2", "log3"];
var context = {
    log: function () { },
    done: function () { },
    err: function () { }
};
function getCallBackFunction(context) {
    return function callback(err, bulk) {
        if (err) {
            context.err("logzio-logger error: " + err, err);
        }
        context.done();
    };
}
var callBackFunction = getCallBackFunction(context);
var logzioShipper = logger.createLogger({
    token: 'VRumDxNPhJyNAHmAZXnqJKPqDuGJVesn',
    host: "https://listener.logz.io:8071",
    type: 'eventHub',
    protocol: 'https',
    internalLogger: context,
    compress: true,
    debug: true,
    callback: callBackFunction,
    port: "8071",
    timeout: null
});
parseMessagesArray.forEach(function (log) {
    logzioShipper.log(log);
});
logzioShipper.sendAndClose(callBackFunction);
